package com.bailuntec.domain.entity;

import java.time.LocalDateTime;


public class BaseStockVO {
    private String bailunSku;
    private String warehouseCode;
    private String warehouseName;
    private String ownerCode;
    private Integer quantityReservation;
    private Integer quantityTransport;
    private Integer quantityTransfer;
    private Integer quantityFreeze;
    private Integer quantitySupplier;
    private Integer quantityPresell;
    private Integer quantityDefective;
    private Integer quantityTransit;
    private Integer waitCheck;
    private Integer waitPutaway;
    private Integer usableStock;
    private Integer usableSales;
    private Integer usableSalesPrivate;
    private Integer usableSalesShare;
    private Integer inWarehouseShare;
    private Integer inWarehousePrivate;
    private Integer inWarehouse;
    private Integer occupyStockShare;
    private Integer occupyStockPrivate;
    private Integer occupyStock;
    private Integer occupyActivity;
    private Integer occupyOrderPrivate;
    private Integer occupyOrderShare;
    private Integer occupyOrder;
    private LocalDateTime gmtCreate;
    private LocalDateTime gmtModified;
    private LocalDateTime createTime;
    private LocalDateTime updateTime;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        BaseStockVO that = (BaseStockVO) o;

        if (bailunSku != null ? !bailunSku.equals(that.bailunSku) : that.bailunSku != null) return false;
        if (warehouseCode != null ? !warehouseCode.equals(that.warehouseCode) : that.warehouseCode != null)
            return false;
        if (warehouseName != null ? !warehouseName.equals(that.warehouseName) : that.warehouseName != null)
            return false;
        if (ownerCode != null ? !ownerCode.equals(that.ownerCode) : that.ownerCode != null) return false;
        if (quantityReservation != null ? !quantityReservation.equals(that.quantityReservation) : that.quantityReservation != null)
            return false;
        if (quantityTransport != null ? !quantityTransport.equals(that.quantityTransport) : that.quantityTransport != null)
            return false;
        if (quantityTransfer != null ? !quantityTransfer.equals(that.quantityTransfer) : that.quantityTransfer != null)
            return false;
        if (quantityFreeze != null ? !quantityFreeze.equals(that.quantityFreeze) : that.quantityFreeze != null)
            return false;
        if (quantitySupplier != null ? !quantitySupplier.equals(that.quantitySupplier) : that.quantitySupplier != null)
            return false;
        if (quantityPresell != null ? !quantityPresell.equals(that.quantityPresell) : that.quantityPresell != null)
            return false;
        if (quantityDefective != null ? !quantityDefective.equals(that.quantityDefective) : that.quantityDefective != null)
            return false;
        if (quantityTransit != null ? !quantityTransit.equals(that.quantityTransit) : that.quantityTransit != null)
            return false;
        if (waitCheck != null ? !waitCheck.equals(that.waitCheck) : that.waitCheck != null) return false;
        if (waitPutaway != null ? !waitPutaway.equals(that.waitPutaway) : that.waitPutaway != null) return false;
        if (usableStock != null ? !usableStock.equals(that.usableStock) : that.usableStock != null) return false;
        if (usableSales != null ? !usableSales.equals(that.usableSales) : that.usableSales != null) return false;
        if (usableSalesPrivate != null ? !usableSalesPrivate.equals(that.usableSalesPrivate) : that.usableSalesPrivate != null)
            return false;
        if (usableSalesShare != null ? !usableSalesShare.equals(that.usableSalesShare) : that.usableSalesShare != null)
            return false;
        if (inWarehouseShare != null ? !inWarehouseShare.equals(that.inWarehouseShare) : that.inWarehouseShare != null)
            return false;
        if (inWarehousePrivate != null ? !inWarehousePrivate.equals(that.inWarehousePrivate) : that.inWarehousePrivate != null)
            return false;
        if (inWarehouse != null ? !inWarehouse.equals(that.inWarehouse) : that.inWarehouse != null) return false;
        if (occupyStockShare != null ? !occupyStockShare.equals(that.occupyStockShare) : that.occupyStockShare != null)
            return false;
        if (occupyStockPrivate != null ? !occupyStockPrivate.equals(that.occupyStockPrivate) : that.occupyStockPrivate != null)
            return false;
        if (occupyStock != null ? !occupyStock.equals(that.occupyStock) : that.occupyStock != null) return false;
        if (occupyActivity != null ? !occupyActivity.equals(that.occupyActivity) : that.occupyActivity != null)
            return false;
        if (occupyOrderPrivate != null ? !occupyOrderPrivate.equals(that.occupyOrderPrivate) : that.occupyOrderPrivate != null)
            return false;
        if (occupyOrderShare != null ? !occupyOrderShare.equals(that.occupyOrderShare) : that.occupyOrderShare != null)
            return false;
        if (occupyOrder != null ? !occupyOrder.equals(that.occupyOrder) : that.occupyOrder != null) return false;
        if (gmtCreate != null ? !gmtCreate.equals(that.gmtCreate) : that.gmtCreate != null) return false;
        if (gmtModified != null ? !gmtModified.equals(that.gmtModified) : that.gmtModified != null) return false;
        if (createTime != null ? !createTime.equals(that.createTime) : that.createTime != null) return false;
        return updateTime != null ? updateTime.equals(that.updateTime) : that.updateTime == null;
    }

    @Override
    public int hashCode() {
        int result = bailunSku != null ? bailunSku.hashCode() : 0;
        result = 31 * result + (warehouseCode != null ? warehouseCode.hashCode() : 0);
        result = 31 * result + (warehouseName != null ? warehouseName.hashCode() : 0);
        result = 31 * result + (ownerCode != null ? ownerCode.hashCode() : 0);
        result = 31 * result + (quantityReservation != null ? quantityReservation.hashCode() : 0);
        result = 31 * result + (quantityTransport != null ? quantityTransport.hashCode() : 0);
        result = 31 * result + (quantityTransfer != null ? quantityTransfer.hashCode() : 0);
        result = 31 * result + (quantityFreeze != null ? quantityFreeze.hashCode() : 0);
        result = 31 * result + (quantitySupplier != null ? quantitySupplier.hashCode() : 0);
        result = 31 * result + (quantityPresell != null ? quantityPresell.hashCode() : 0);
        result = 31 * result + (quantityDefective != null ? quantityDefective.hashCode() : 0);
        result = 31 * result + (quantityTransit != null ? quantityTransit.hashCode() : 0);
        result = 31 * result + (waitCheck != null ? waitCheck.hashCode() : 0);
        result = 31 * result + (waitPutaway != null ? waitPutaway.hashCode() : 0);
        result = 31 * result + (usableStock != null ? usableStock.hashCode() : 0);
        result = 31 * result + (usableSales != null ? usableSales.hashCode() : 0);
        result = 31 * result + (usableSalesPrivate != null ? usableSalesPrivate.hashCode() : 0);
        result = 31 * result + (usableSalesShare != null ? usableSalesShare.hashCode() : 0);
        result = 31 * result + (inWarehouseShare != null ? inWarehouseShare.hashCode() : 0);
        result = 31 * result + (inWarehousePrivate != null ? inWarehousePrivate.hashCode() : 0);
        result = 31 * result + (inWarehouse != null ? inWarehouse.hashCode() : 0);
        result = 31 * result + (occupyStockShare != null ? occupyStockShare.hashCode() : 0);
        result = 31 * result + (occupyStockPrivate != null ? occupyStockPrivate.hashCode() : 0);
        result = 31 * result + (occupyStock != null ? occupyStock.hashCode() : 0);
        result = 31 * result + (occupyActivity != null ? occupyActivity.hashCode() : 0);
        result = 31 * result + (occupyOrderPrivate != null ? occupyOrderPrivate.hashCode() : 0);
        result = 31 * result + (occupyOrderShare != null ? occupyOrderShare.hashCode() : 0);
        result = 31 * result + (occupyOrder != null ? occupyOrder.hashCode() : 0);
        result = 31 * result + (gmtCreate != null ? gmtCreate.hashCode() : 0);
        result = 31 * result + (gmtModified != null ? gmtModified.hashCode() : 0);
        result = 31 * result + (createTime != null ? createTime.hashCode() : 0);
        result = 31 * result + (updateTime != null ? updateTime.hashCode() : 0);
        return result;
    }

    public String getBailunSku() {
        return bailunSku;
    }

    public void setBailunSku(String bailunSku) {
        this.bailunSku = bailunSku;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getOwnerCode() {
        return ownerCode;
    }

    public void setOwnerCode(String ownerCode) {
        this.ownerCode = ownerCode;
    }

    public Integer getQuantityReservation() {
        return quantityReservation;
    }

    public void setQuantityReservation(Integer quantityReservation) {
        this.quantityReservation = quantityReservation;
    }

    public Integer getQuantityTransport() {
        return quantityTransport;
    }

    public void setQuantityTransport(Integer quantityTransport) {
        this.quantityTransport = quantityTransport;
    }

    public Integer getQuantityTransfer() {
        return quantityTransfer;
    }

    public void setQuantityTransfer(Integer quantityTransfer) {
        this.quantityTransfer = quantityTransfer;
    }

    public Integer getQuantityFreeze() {
        return quantityFreeze;
    }

    public void setQuantityFreeze(Integer quantityFreeze) {
        this.quantityFreeze = quantityFreeze;
    }

    public Integer getQuantitySupplier() {
        return quantitySupplier;
    }

    public void setQuantitySupplier(Integer quantitySupplier) {
        this.quantitySupplier = quantitySupplier;
    }

    public Integer getQuantityPresell() {
        return quantityPresell;
    }

    public void setQuantityPresell(Integer quantityPresell) {
        this.quantityPresell = quantityPresell;
    }

    public Integer getQuantityDefective() {
        return quantityDefective;
    }

    public void setQuantityDefective(Integer quantityDefective) {
        this.quantityDefective = quantityDefective;
    }

    public Integer getQuantityTransit() {
        return quantityTransit;
    }

    public void setQuantityTransit(Integer quantityTransit) {
        this.quantityTransit = quantityTransit;
    }

    public Integer getWaitCheck() {
        return waitCheck;
    }

    public void setWaitCheck(Integer waitCheck) {
        this.waitCheck = waitCheck;
    }

    public Integer getWaitPutaway() {
        return waitPutaway;
    }

    public void setWaitPutaway(Integer waitPutaway) {
        this.waitPutaway = waitPutaway;
    }

    public Integer getUsableStock() {
        return usableStock;
    }

    public void setUsableStock(Integer usableStock) {
        this.usableStock = usableStock;
    }

    public Integer getUsableSales() {
        return usableSales;
    }

    public void setUsableSales(Integer usableSales) {
        this.usableSales = usableSales;
    }

    public Integer getUsableSalesPrivate() {
        return usableSalesPrivate;
    }

    public void setUsableSalesPrivate(Integer usableSalesPrivate) {
        this.usableSalesPrivate = usableSalesPrivate;
    }

    public Integer getUsableSalesShare() {
        return usableSalesShare;
    }

    public void setUsableSalesShare(Integer usableSalesShare) {
        this.usableSalesShare = usableSalesShare;
    }

    public Integer getInWarehouseShare() {
        return inWarehouseShare;
    }

    public void setInWarehouseShare(Integer inWarehouseShare) {
        this.inWarehouseShare = inWarehouseShare;
    }

    public Integer getInWarehousePrivate() {
        return inWarehousePrivate;
    }

    public void setInWarehousePrivate(Integer inWarehousePrivate) {
        this.inWarehousePrivate = inWarehousePrivate;
    }

    public Integer getInWarehouse() {
        return inWarehouse;
    }

    public void setInWarehouse(Integer inWarehouse) {
        this.inWarehouse = inWarehouse;
    }

    public Integer getOccupyStockShare() {
        return occupyStockShare;
    }

    public void setOccupyStockShare(Integer occupyStockShare) {
        this.occupyStockShare = occupyStockShare;
    }

    public Integer getOccupyStockPrivate() {
        return occupyStockPrivate;
    }

    public void setOccupyStockPrivate(Integer occupyStockPrivate) {
        this.occupyStockPrivate = occupyStockPrivate;
    }

    public Integer getOccupyStock() {
        return occupyStock;
    }

    public void setOccupyStock(Integer occupyStock) {
        this.occupyStock = occupyStock;
    }

    public Integer getOccupyActivity() {
        return occupyActivity;
    }

    public void setOccupyActivity(Integer occupyActivity) {
        this.occupyActivity = occupyActivity;
    }

    public Integer getOccupyOrderPrivate() {
        return occupyOrderPrivate;
    }

    public void setOccupyOrderPrivate(Integer occupyOrderPrivate) {
        this.occupyOrderPrivate = occupyOrderPrivate;
    }

    public Integer getOccupyOrderShare() {
        return occupyOrderShare;
    }

    public void setOccupyOrderShare(Integer occupyOrderShare) {
        this.occupyOrderShare = occupyOrderShare;
    }

    public Integer getOccupyOrder() {
        return occupyOrder;
    }

    public void setOccupyOrder(Integer occupyOrder) {
        this.occupyOrder = occupyOrder;
    }

    public LocalDateTime getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(LocalDateTime gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public LocalDateTime getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(LocalDateTime gmtModified) {
        this.gmtModified = gmtModified;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
}
